Skip to main content
POST
/
v1
/
qr-code
/
decode
1. Decodifica BR Code Pix
curl --request POST \
  --url https://stater.stric.io/v1/qr-code/decode \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pixCopyAndPaste": "<string>",
  "paymentDate": "<string>"
}
'
{
  "id": "<string>",
  "pixCopyAndPaste": "<string>",
  "pixKey": "<string>",
  "pixKeyType": "<string>",
  "amountCents": "<string>",
  "isAmountEditable": true,
  "receiverName": "<string>",
  "receiverDocument": "<string>",
  "institutionName": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "cached": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.stric.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key da plataforma. Envie no header Authorization: Bearer <key>.

Headers

X-Pix-Account-Id
string

Id da conta Pix sobre a qual a operação atua. Obrigatório quando sua API key não está vinculada a uma conta específica.

Required string length: 10 - 40

Body

application/json
pixCopyAndPaste
string
required
Required string length: 20 - 2000
paymentDate
string
Pattern: ^\d{4}-\d{2}-\d{2}$

Response

OK

id
string
required
pixCopyAndPaste
string
required
pixKey
string | null
required
pixKeyType
string | null
required
amountCents
string<int64-string> | null
required

BigInt serializado como string decimal (Fastify default + convenção da plataforma).

Pattern: ^-?\d+$
isAmountEditable
boolean
required
receiverName
string | null
required
receiverDocument
string | null
required
institutionName
string | null
required
expiresAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
cached
boolean
required
{key}
any